Bug 1730886 - [DOCS] scaling router steps exist but are hard to find
Summary: [DOCS] scaling router steps exist but are hard to find
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.z
Assignee: Jason Boxman
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 19:38 UTC by Steven Walter
Modified: 2019-08-19 22:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 22:05:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Walter 2019-07-17 19:38:59 UTC
Document URL: 
https://docs.openshift.com/container-platform/4.1/networking/ingress-operator.html

Section Number and Name: 
Scaling an Ingress controller

Describe the issue: 
The docs are technically correct and the steps dont need any changing. However, from a customer usability standpoint, a likely workflow would be:

1) "I need to scale up my routers!"
2) oc project openshift-ingress
3) I see my routers!
router-default-9d6f4ffc5-2nkg8   0/1     Running            0          38m
router-default-9d6f4ffc5-ljqcf   1/1     Running            0          56m
4) How do I scale?
5) Go to the docs
6) Search "router"
7) The doc for scaling the pods named "router" does not appear

Suggestions for improvement: 
Add the keyword "router" to the doc, or show an example output with the router pods

Additional information:

Comment 2 Jason Boxman 2019-08-01 01:16:20 UTC
I created an initial PR[0] for this.

[0] https://github.com/openshift/openshift-docs/pull/16087

Comment 3 Jason Boxman 2019-08-01 14:58:34 UTC
There's a preview of the change here:

https://bz-1730886--ocpdocs.netlify.com/openshift-enterprise/latest/networking/ingress-operator.html


Note You need to log in before you can comment on or make changes to this bug.